/*
 * @(#)src/tools/pfm/java_md.h, tool, ax1411, 20031222 1.13.1.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.1
 * (C) Copyright IBM Corp. 1998, 2002. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason Date Origin Description
 * ------ ---- ------ ----------------------------------------------------
 * 061690  020603 pratunga To make -Xdebug and -Xj9 options work for z/OS
 *
 * ===========================================================================
 * Module Information:
 *
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

#ifndef JAVA_MD_H
#define JAVA_MD_H

#include <limits.h>

#define PATH_SEPARATOR          ':'
#define FILE_SEPARATOR          '/'

#include <sys/param.h>          /*ibm@13096*/

#ifdef JAVA_ARGS
/*
 * ApplicationHome is prepended to each of these entries; the resulting
 * strings are concatenated (seperated by PATH_SEPARATOR) and used as the
 * value of -cp option to the launcher.
 */
#ifndef APP_CLASSPATH
#define APP_CLASSPATH        { "/lib/tools.jar", "/classes" }
#endif
#endif

#ifdef HAVE_GETHRTIME
/*
 * Support for doing cheap, accurate interval timing.
 */
#include <sys/time.h>
#define CounterGet()              (gethrtime()/1000)
#define Counter2Micros(counts)    (counts)
#else
#define CounterGet()              (0)
#define Counter2Micros(counts)    (1)
#endif /* HAVE_GETHRTIME */

/* ibm@1140 ibm@3218 ibm@6796
 * Define ATOE function as no-ops & call setLibAndExec() to setup LIBPATH
 */
#define InitMain1(c,v,j)
#define InitMain2(c,v,j) setLibAndExec(c,v,j)
#define ConvertArgsToPlatform(c,v)
#define ConvertArgstoASCII(c,v)

#endif
